package decatur.de.rigorous.plot;

public class SoTransform extends SoNode {
    float
	sx = 1.0f,
	sy = 1.0f,
	tx = 0.0f,
	ty = 0.0f;
    
    public SoTransform () {
	super ();
    }
    
    public void setScale (float sx, float sy) {
	this.sx = sx; 
	this.sy = sy; 
    }
    
    public void setTranslate (float tx, float ty) {
	this.tx = tx; 
	this.ty = ty; 
    }
    
    public void render (Device dev) {
	dev.matrix.translate (tx, ty);
	dev.matrix.scale (sx, sy);
    }
}
