package decatur.de.rigorous.numutil;

public class LinearInterpol {
    
    public double x[];
    public double y[];
    
    public LinearInterpol (int size) {
	x = new double[size];
	y = new double[size];
    }
    
    public LinearInterpol (double x[], double y[]) {
	this.x = x;
	this.y = y;
    }
    
    int index = 1;
    public double valueAt (double d) {
	index = ArrayTools.closestIndex (x, d, index);
	return y[index-1]+(d-x[index-1])/
	    (x[index]-x[index-1])*(y[index]-y[index-1]);
    }
}
