/*
 * Magnitude.java
 *
 * Created on January 11, 2004, 10:47 PM
 */

package decatur.de.rigorous.numutil;

/**
 *
 * @author  wolfgang
 */
public class Magnitude {
    
    private int range;
    private int value;
    private String text;
    
    /** Creates a new instance of Magnitude */
    public Magnitude(String text) {
        this.text = text;
    }
    
    public int getValue() {
        return value;
    }
    
    public void setValue(int value) {
        this.value = value;
    }
    
    public void setRange(int range) {
        this.range = range;
    }
    
    public int getRange() {
        return range;
    }
    
    public int getText() {
        return value;
    }
    
    public String toString() {
        return "" + value + text;
    }
    
    public void partitions() {
        int i=2;
        int j = range;
        do {
            if (j%i==0) {
                j /= i;
                System.out.println(i);
            } else {
                i++;
            }
        } while (i<=j);
    }
    
    public static void main(String[] argv) {
        Magnitude m = new Magnitude("");
        m.setRange(1000);
        m.partitions();
    }
    
    
}
