package decatur.de.rigorous.plot;

import java.awt.*;

public class Plotter extends Panel {
    SoAxisCanvas ac;
    Button printButton;
    
    public Plotter (SoAxisCanvas ac) {
	super ();
	setLayout (null);
	printButton = new Button ("Print");
	printButton.setBounds(0, 0, 50, 20);
	add (printButton);
	setAxis (ac);
    }
    
    public void setAxis (SoAxisCanvas ac) {
	this.ac = ac;
	add (ac);
	ac.setLocation(1, 20);
	setSize(ac.getSize().width+2, ac.getSize().height+20);
    }

    public boolean action (Event evt, Object arg) {
	if ( evt.target == printButton ) {
	    ac.print ((java.io.PrintStream) null);
	    return true;
	}
	return false;
    }  
    
}
