package decatur.de.rigorous.plot;

public class SoPolygon extends SoShape {
    public float x[];
    public float y[];
    boolean filled = false;
    boolean outlined = false;

    public SoPolygon () {
	super ();
    }
    
    public SoPolygon (int n) {
	super ();
	resize (n);
    }
    
    public void resize (int n) {
	x = new float[n];
	y = new float[n];
    }
    
    public void setFilled (boolean flag) {
	filled = flag;
    }
    
    public void setOutlined (boolean flag) {
	outlined = flag;
    }

    public void paint (Device dev) {
	dev.setFilled (filled);
	dev.setOutlined (outlined);
	dev.drawPolygon (x, y);
    }
}
